Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class Request

    java.lang.Object
      |
      +--org.omg.CORBA.Request

Direct Known Subclasses:
  Request

public abstract class Request
extends java.lang.Object

Constructor Summary
`Request()`

Method Summary
`abstract Any` | `add_in_arg()`
`abstract Any` | `add_inout_arg()`
`abstract Any` | `add_named_in_arg(java.lang.String name)`
`abstract Any` | `add_named_inout_arg(java.lang.String name)`
`abstract Any` | `add_named_out_arg(java.lang.String name)`
`abstract Any` | `add_out_arg()`
`abstract NVList` | `arguments()`
`abstract ContextList` | `contexts()`
`abstract Context` | `ctx()`
`abstract void` | `ctx(Context ctx)`
`abstract Environment` | `env()`
`abstract ExceptionList` | `exceptions()`
`abstract void` | `get_response()`
`abstract void` | `invoke()`
`abstract java.lang.String` | `operation()`
`abstract boolean` | `poll_response()`
`abstract NamedValue` | `result()`
`abstract Any` | `return_value()`
`abstract void` | `send_deferred()`
`abstract void` | `send_oneway()`
`abstract void` | `set_return_type(TypeCode tc)`
`abstract Object` | `target()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    public Request()

Method Detail

### target

    public abstract Object target()

### operation

    public abstract java.lang.String operation()

### arguments

    public abstract NVList arguments()

### result

    public abstract NamedValue result()

### env

    public abstract Environment env()

### exceptions

    public abstract ExceptionList exceptions()

### contexts

    public abstract ContextList contexts()

### ctx

    public abstract void ctx(Context ctx)

### ctx

    public abstract Context ctx()

### add_in_arg

    public abstract Any add_in_arg()

### add_named_in_arg

    public abstract Any add_named_in_arg(java.lang.String name)

### add_inout_arg

    public abstract Any add_inout_arg()

### add_named_inout_arg

    public abstract Any add_named_inout_arg(java.lang.String name)

### add_out_arg

    public abstract Any add_out_arg()

### add_named_out_arg

    public abstract Any add_named_out_arg(java.lang.String name)

### set_return_type

    public abstract void set_return_type(TypeCode tc)

### return_value

    public abstract Any return_value()

### invoke

    public abstract void invoke()

### send_oneway

    public abstract void send_oneway()

### send_deferred

    public abstract void send_deferred()

### get_response

    public abstract void get_response()
                               throws WrongTransaction

### poll_response

    public abstract boolean poll_response()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD